import request from "@/http/request";

const getAllVehicles = (params) => {
    return request({
        url: '/location/getVehiclesByPage',
        method: 'post',
        data: params
    })
}

const updateVehicleInfo = (params) => {
    return request({
        url: '/location/updateVehicleInfo',
        method: 'post',
        data: params
    })
}

const deleteCurrentVehicle = (params) => {
    return request({
        url: '/location/deleteVehicle',
        method: 'post',
        data: params
    })
}

export {
    getAllVehicles,
    updateVehicleInfo,
    deleteCurrentVehicle
}